Subject: emacs-ess 18.10.2 sets R_HOME to a ridiculous value by default

From: Kyle Andrews <[email-masked]>
Date: Wed, 08 Jul 2020 00:11:30 -0400

I have been noticing many warnings coming from R in several contexts
saying:

  WARNING: ignoring environment value of R_HOME

See for example the output of running:

  $ R --version

This warning appears to be coming from line 69 of ess-r-gui.el where an
unset environment variable R_HOME is being set in elisp code which is
pointing to some ancient version of R located inside a Microsoft Windows
file system:

R_HOME="c:/progra~1/R/R-2.6.1"

This whole ess-r-gui.el file seems to be dedicated to interfacing with
software in Microsoft Windows which doesn't seem at all relevant in the
Guix world. This whole file can probably be safely deleted along with
line 164 in the ESS/lisp/Makefile which I think triggers byte
compilation.